<?php
/**
 * Header Options settings
 */

$wp_customize->add_section(
	'current_news_header_options_section',
	array(
		'title' => esc_html__( 'Header Options', 'current-news' ),
		'panel' => 'current_news_theme_options_panel',
	)
);

// Enable topbar Options.
$wp_customize->add_setting(
	'current_news_enable_topbar',
	array(
		'default'           => true,
		'sanitize_callback' => 'current_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Current_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'current_news_enable_topbar',
		array(
			'label'    => esc_html__( 'Enable Topbar.', 'current-news' ),
			'section'  => 'current_news_header_options_section',
			'settings' => 'current_news_enable_topbar',
			'type'     => 'checkbox',
		)
	)
);

for ( $i = 1; $i <= 2; $i++ ) {

	// Header Section Advertisement Image.
	$wp_customize->add_setting(
		'current_news_advertisement_image_' . $i,
		array(
			'default'           => '',
			'sanitize_callback' => 'current_news_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'current_news_advertisement_image_' . $i,
			array(
				'label'    => sprintf( esc_html__( 'Advertisement Image %d', 'current-news' ), $i ),
				'settings' => 'current_news_advertisement_image_' . $i,
				'section'  => 'current_news_header_options_section',
			)
		)
	);

	// Header Advertisement Url.
	$wp_customize->add_setting(
		'current_news_advertisement_url_' . $i,
		array(
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'current_news_advertisement_url_' . $i,
		array(
			'label'    => sprintf( esc_html__( 'Advertisement Url %d', 'current-news' ), $i ),
			'settings' => 'current_news_advertisement_url_' . $i,
			'section'  => 'current_news_header_options_section',
			'type'     => 'url',
		)
	);

}
